from pydantic import BaseModel, ConfigDict
from datetime import datetime


class NumberRequest(BaseModel):
    number: int


class DivisibilityResponse(BaseModel):
    number: int
    is_divisible_by_2: bool


class NumberCheckResponse(DivisibilityResponse):
    id: int
    created_at: datetime

    model_config = ConfigDict(from_attributes=True)
